<?php

/* PROGRAMAÇÃO BY: BINHO, FUNDADOR DA CTGAMES - TEAM SOFTWARES */

if($_GET["mover"] == true) {
$personagem = $_GET["m_personagem"];
$mapa = $_GET["m_mapa"];
$ver_char = mssql_num_rows(mssql_query("select name from character where accountid='".$_SESSION["login"]."'"));
$ver_on = mssql_fetch_row(mssql_query("select connectstat from memb_stat where memb___id='".$_SESSION["login"]."'"));
if($personagem == "" || $mapa == "") {
	exit($bbcode->bbcode('<div class="box_conteudo">Preencha todos os campos</div>'));
}
elseif($ver_char < 1) {
	exit($bbcode->bbcode('<div class="box_conteudo">Personagem inválido</div>'));
}
elseif($ver_on[0] > 0) {
	exit($bbcode->bbcode('<div class="box_conteudo">Necessário estar deslogado</div>'));
}
else{
	$x = $MAPAS[$mapa]["2"];
	$y = $MAPAS[$mapa]["3"];
	if($x < 0 or $y < 0 or $x > 255 or $y > 255) { $x = 125; $y = 125; }
	mssql_query("update character set mapnumber='$mapa',mapposx='$x',mapposy='$y' where name='".$personagem."'");
	exit($bbcode->bbcode('<div class="box_conteudo">Personagem movido com sucesso</div>'));
}
}

?>